/**
 * XActMoodDefEvnRqoPrmsPrp2.java
 *
 * File generated from the medication2::XActMoodDefEvnRqoPrmsPrp2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodDefEvnRqoPrmsPrp2.
 *
 * 
 */

@XmlType(name = "XActMoodDefEvnRqoPrmsPrp")
@XmlEnum
@XmlRootElement(name = "XActMoodDefEvnRqoPrmsPrp2")
public enum XActMoodDefEvnRqoPrmsPrp2 {
	@XmlEnumValue("DEF")
	DEF("DEF"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodDefEvnRqoPrmsPrp2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodDefEvnRqoPrmsPrp2 fromValue(String v) {
        for (XActMoodDefEvnRqoPrmsPrp2 c: XActMoodDefEvnRqoPrmsPrp2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
